REM /// Begining of the lhdsetup.bat ///
REM /// Modified to extract inst-img from root -- wfeldt@suse.de ///
@echo off
cls

:main
echo.
echo Initialising...
echo.
echo    ͻ
echo                                                    
echo      Linux from Hard Disk SETUP v1.1               
echo                                                    
echo      For SuSE Linux 6.4                            
echo                                                    
echo                           (c) Cyril Soldani, 1999  
echo                                                    
echo    ͼ
echo.
echo This program set up the needed files for installing Linux or adding
echo packages to an existing version when CD-ROM is unaccessible from Linux.
echo It is designed for SuSE Linux 6.4.
echo This program comes with absolutely no warranty.
echo.
if "%1"=="" echo No directory specified, using default C:\linux.
if "%1"=="" set dirpath=C:\linux
if not "%1"=="" set dirpath=%1
if "%2"=="" echo No CD-ROM drive letter specified, using default D:
if "%2"=="" set cdrom=D:
if not "%2"=="" set cdrom=%2:
if "%3"=="" echo No kernel specified, using default eide01.
if "%3"=="" set kernel=eide01
if not "%3"=="" set kernel=%3
echo.
choice /C:yn /N Do you want to proceed ? (y,n) 
if errorlevel 2 goto abort
if errorlevel 1 goto main_menu
goto exit

:main_menu
cls
echo.
echo    Ŀ
echo     A. Install from scratch  
echo     B. Add packages          
echo     C. Clean previous files  
echo     D. Display help          
echo     E. Boot SuSE Linux       
echo     F. Quit Linux HD SETUP   
echo    
choice /C:abcdef /N What do you want to do ? 
if errorlevel 6 goto quit
if errorlevel 5 goto boot
if errorlevel 4 goto help
if errorlevel 3 goto clean
if errorlevel 2 goto CD1
if errorlevel 1 goto install1
goto exit

:install1
cls
echo.
echo DU files are not really necessary. They will help you later to know how
echo much space you have left and how much space is occupied.  This could be
echo handy. However, DU files take quite much space.
echo.
choice /C:yn /N Do you want to install DU files ? (y,n) 
if errorlevel 2 goto no_du
if errorlevel 1 goto du
goto exit

:du
set du=yes
goto install2

:no_du
set du=no

:install2
echo lhdsetup will now create directories
echo Creating %dirpath%...
md %dirpath%
echo Creating %dirpath%\suse...
md %dirpath%\suse
echo Creating %dirpath%\suse\setup...
md %dirpath%\suse\setup
echo Creating %dirpath%\suse\setup\descr...
md %dirpath%\suse\setup\descr
if %du%==yes echo Creating %dirpath%\suse\setup\du...
if %du%==yes md %dirpath%\suse\setup\du
echo Creating %dirpath%\suse\images...
md %dirpath%\suse\images
echo Creating %dirpath%\suse\a1...
md %dirpath%\suse\a1
echo.
echo Directories created.
echo.
echo Insert now SuSE Linux CD 1 in %cdrom%
echo.
pause
echo lhdsetup will now copy requested files.
echo Copying setup files...
copy %cdrom%\suse\setup\loadlin.exe %dirpath%\suse\setup
%cdrom%\dosutils\gzip\gzip -dc %cdrom%\suse\images\root >%dirpath%\suse\setup\inst-img
echo Copying setup\descr files...
copy %cdrom%\suse\setup\descr %dirpath%\suse\setup\descr
if %du%==yes echo Copying setup\du files...
if %du%==yes copy %cdrom%\suse\setup\du %dirpath%\suse\setup\du
echo Copying images files...
copy %cdrom%\suse\images\initdisk.gz %dirpath%\suse\images
copy %cdrom%\suse\images\%kernel%.* %dirpath%\suse\images
echo Copying a1 files...
copy %cdrom%\suse\a1 %dirpath%\suse\a1
echo.
echo Install files copied.
echo.
pause
goto main_menu

:CD1
cls
echo.
echo     CD 1 Ŀ
echo     A. a1    : Linux Base System (You need it!)                
echo     B. a2    : Linux Base System (You need it!)                
echo     C. ap1   : Programs that don't need X                      
echo     D. ap2   : Programs that don't need X                      
echo     E. d1    : Development (C, C++, Lisp, etc.)                
echo     F. d2    : Development (C, C++, Lisp, etc.)                
echo     G. e1    : Emacs                                           
echo     H. n1    : Network-Support (TCP/IP, UUCP, Mail, News)      
echo     I. n2    : Network-Support (TCP/IP, UUCP, Mail, News)      
echo     J. sec1  : Security related software                       
echo     K. tcl1  : Tcl/Tk/TclX, Tcl-Language and Tk-Toolkit for X   
echo     L. x1    : Base X Window System - XFree86\tm 3.3           
echo     M. x2    : Base X Window System - XFree86\tm 3.3           
echo     N. x3    : Base X Window System - XFree86\tm 3.3           
echo     O. xsrv1 : Several X Servers (XFree86\tm 3.3 and other)    
echo     P. xsrv2 : Several X Servers (XFree86\tm 3.3 and other)    
echo     Q. xsrv3 : Several X Servers (XFree86\tm 3.3 and other)    
echo     R. xv1   : XView (OpenLook, Applications)                  
echo    Ĵ
echo     S. *** Other CDs ***                                       
echo     T. *** Main menu ***                                       
echo    
choice /C:abcdefghijklmnopqrst /N Your choose ? 
if errorlevel 20 goto main_menu
if errorlevel 19 goto CD2
if errorlevel 18 goto xv1
if errorlevel 17 goto xsrv3
if errorlevel 16 goto xsrv2
if errorlevel 15 goto xsrv1
if errorlevel 14 goto x3 
if errorlevel 13 goto x2
if errorlevel 12 goto x1
if errorlevel 11 goto tcl1
if errorlevel 10 goto sec1
if errorlevel 9 goto n2
if errorlevel 8 goto n1
if errorlevel 7 goto e1
if errorlevel 6 goto d2
if errorlevel 5 goto d1
if errorlevel 4 goto ap2
if errorlevel 3 goto ap1
if errorlevel 2 goto a2
if errorlevel 1 goto a1
goto exit

:a1
set pack=a1
set cd=CD1
goto add

:a2
set pack=a2
set cd=CD1
goto add

:ap1
set pack=ap1
set cd=CD1
goto add

:ap2
set pack=ap2
set cd=CD1
goto add

:d1
set pack=d1
set cd=CD1
goto add

:d2
set pack=d2
set cd=CD1
goto add

:e1
set pack=e1
set cd=CD1
goto add

:n1
set pack=n1
set cd=CD1
goto add

:n2
set pack=n2
set cd=CD1
goto add

:sec1
set pack=sec1
set cd=CD1
goto add

:tcl1
set pack=tcl1
set cd=CD1
goto add

:x1
set pack=x1
set cd=CD1
goto add

:x2
set pack=x2
set cd=CD1
goto add

:x3
set pack=x3
set cd=CD1
goto add

:xsrv1
set pack=xsrv1
set cd=CD1
goto add

:xsrv2
set pack=xsrv2
set cd=CD1
goto add

:xsrv3
set pack=xsrv3
set cd=CD1
goto add

:xv1
set pack=xv1
set cd=CD1
goto add

:CD2
cls
echo.
echo     CD 2 Ŀ
echo     A. doc1  : Documentation                                 
echo     B. gnm1  : GNOME - GNU Network Object Model Environment  
echo     C. gnm2  : GNOME - GNU Network Object Model Environment  
echo     D. gnm3  : GNOME - GNU Network Object Model Environment  
echo     E. gnm4  : GNOME - GNU Network Object Model Environment  
echo     F. gra1  : All about graphics                            
echo     G. kde1  : K Desktop Environment                         
echo     H. kde2  : K Desktop Environment                         
echo     I. kde4  : K Desktop Environment                         
echo     J. kpa1  : KDE alpha applications                        
echo     K. sgm1  : Components for a SGML system                  
echo     L. xdev1 : Development under X11                         
echo     M. xwm1  : Window Manager and Desktop                    
echo     N. xwm2  : Window Manager and Desktop                    
echo    Ĵ
echo     O. *** Other CDs ***                                     
echo     P. *** Main menu ***                                     
echo    
choice /C:abcdefghijklmnop /N Your choose ? 
if errorlevel 16 goto main_menu
if errorlevel 15 goto CD3
if errorlevel 14 goto xwm2
if errorlevel 13 goto xwm1
if errorlevel 12 goto xdev1
if errorlevel 11 goto sgm1
if errorlevel 10 goto kpa1
if errorlevel 9 goto kde4
if errorlevel 8 goto kde2
if errorlevel 7 goto kde1
if errorlevel 6 goto gra1
if errorlevel 5 goto gnm4
if errorlevel 4 goto gnm3
if errorlevel 3 goto gnm2
if errorlevel 2 goto gnm1
if errorlevel 1 goto doc1
goto exit

:doc1
set pack=doc1
set cd=CD2
goto add

:gnm1
set pack=gnm1
set cd=CD2
goto add

:gnm2
set pack=gnm2
set cd=CD2
goto add

:gnm3
set pack=gnm3
set cd=CD2
goto add

:gnm4
set pack=gnm4
set cd=CD2
goto add

:gra1
set pack=gra1
set cd=CD2
goto add

:kde1
set pack=kde1
set cd=CD2
goto add

:kde2
set pack=kde2
set cd=CD2
goto add

:kde4
set pack=kde4
set cd=CD2
goto add

:kpa1
set pack=kpa1
set cd=CD2
goto add

:sgm1
set pack=sgm1
set cd=CD2
goto add

:xdev1
set pack=xdev1
set cd=CD2
goto add

:xwm1
set pack=xwm1
set cd=CD2
goto add

:xwm2
set pack=xwm2
set cd=CD2
goto add

:CD3
:CD4
:CD5
cls
echo.
echo     CD 3 Ŀ
echo     A. beo1  : Extreme Linux (Beowulf)                 
echo     B. ham1  : Amateur Radio (AX.25, CW, Logs, etc.)   
echo     C. pay1  : Commercial Software                     
echo     D. xap1  : X Applications                          
echo     CD 4 Ĵ
echo     E. aplx1 : ApplixWare Office                       
echo     F. aplx2 : ApplixWare Office                       
echo     G. aplx3 : ApplixWare Office                       
echo     H. aplx4 : ApplixWare Office                       
echo     I. emu1  : Emulators                               
echo     J. fun1  : Games and more                          
echo     K. snd1  : Sound related stuff                     
echo     L. spl1  : Spell checking utilities and databases  
echo     M. spl2  : Spell checking utilities and databases  
echo     N. tex1  : TeX/LaTeX and applications              
echo     O. x3d1  : 3D stuff for X11 and console            
echo     P. zq1   : Source packages                         
echo     CD 5 Ĵ
echo     Q. zq2   : Source packages                         
echo    Ĵ
echo     R. *** Main menu ***                               
echo    
choice /C:abcdefghijklmnopqr /N Your choose ? 
if errorlevel 18 goto main_menu
if errorlevel 17 goto zq2
if errorlevel 16 goto zq1
if errorlevel 15 goto x3d1
if errorlevel 14 goto tex1
if errorlevel 13 goto spl2
if errorlevel 12 goto spl1
if errorlevel 11 goto snd1
if errorlevel 10 goto fun1
if errorlevel 9 goto emu1
if errorlevel 8 goto aplx4
if errorlevel 7 goto aplx3
if errorlevel 6 goto aplx2
if errorlevel 5 goto aplx1
if errorlevel 4 goto xap1
if errorlevel 3 goto pay1
if errorlevel 2 goto ham1
if errorlevel 1 goto beo1
goto exit

:beo1
set pack=beo1
set cd=CD3
goto add

:ham1
set pack=ham1
set cd=CD3
goto add

:pay1
set pack=pay1
set cd=CD3
goto add

:xap1
set pack=xap1
set cd=CD3
goto add

:aplx1
set pack=aplx1
set cd=CD4
goto add

:aplx2
set pack=aplx2
set cd=CD4
goto add

:aplx3
set pack=aplx3
set cd=CD4
goto add

:aplx4
set pack=aplx4
set cd=CD4
goto add

:emu1
set pack=emu1
set cd=CD4
goto add

:fun1
set pack=fun1
set cd=CD4
goto add

:snd1
set pack=snd1
set cd=CD4
goto add

:spl1
set pack=spl1
set cd=CD4
goto add

:spl2
set pack=spl2
set cd=CD4
goto add

:tex1
set pack=tex1
set cd=CD4
goto add

:x3d1
set pack=x3d1
set cd=CD4
goto add

:zq1
set pack=zq1
set cd=CD4
goto add

:zq2
set pack=zq2
set cd=CD5

:add
echo.
echo lhdsetup will now create the %pack% directory.
echo Creating %dirpath%\suse\%pack%
md %dirpath%\suse\%pack%
echo.
echo lhdsetup will now install %pack% files.
echo.
echo Insert SuSE Linux %cd% in %cdrom%
echo.
pause
echo Copying %pack% files...
copy %cdrom%\suse\%pack%\*.* %dirpath%\suse\%pack%
echo.
echo %pack% files copied.
echo.
pause
goto %cd%

:clean
cls
echo.
echo    Ŀ
echo     A. Clean packages files                                           
echo     B. Full cleaning, erase all files (you'll need to re-run install  
echo         in order to add packages)                                     
echo    
choice /C:ab /N What do you want to do ? 
if errorlevel 2 goto clean_full
if errorlevel 1 goto clean_pack
goto exit

:clean_pack
echo.
echo lhdsetup will now clean packages files...
if exist %dirpath%\suse\setup\inst-img echo Cleaning setup files.
..
if exist %dirpath%\suse\setup\inst-img del %dirpath%\suse\setup\
inst-img
if exist %dirpath%\suse\a1\*.* echo Cleaning a1 files...
if exist %dirpath%\suse\a1\*.* del %dirpath%\suse\a1\*.*
if exist %dirpath%\suse\a2\*.* echo Cleaning a2 files...
if exist %dirpath%\suse\a2\*.* del %dirpath%\suse\a2\*.*
if exist %dirpath%\suse\ap1\*.* echo Cleaning ap1 files...
if exist %dirpath%\suse\ap1\*.* del %dirpath%\suse\ap1\*.*
if exist %dirpath%\suse\ap2\*.* echo Cleaning ap2 files...
if exist %dirpath%\suse\ap2\*.* del %dirpath%\suse\ap2\*.*
if exist %dirpath%\suse\d1\*.* echo Cleaning d1 files...
if exist %dirpath%\suse\d1\*.* del %dirpath%\suse\d1\*.*
if exist %dirpath%\suse\d2\*.* echo Cleaning d2 files...
if exist %dirpath%\suse\d2\*.* del %dirpath%\suse\d2\*.*
if exist %dirpath%\suse\e1\*.* echo Cleaning e1 files...
if exist %dirpath%\suse\e1\*.* del %dirpath%\suse\e1\*.*
if exist %dirpath%\suse\n1\*.* echo Cleaning n1 files...
if exist %dirpath%\suse\n1\*.* del %dirpath%\suse\n1\*.*
if exist %dirpath%\suse\n2\*.* echo Cleaning n2 files...
if exist %dirpath%\suse\n2\*.* del %dirpath%\suse\n2\*.*
if exist %dirpath%\suse\sec1\*.* echo Cleaning sec1 files...
if exist %dirpath%\suse\sec1\*.* del %dirpath%\suse\sec1\*.*
if exist %dirpath%\suse\tcl1\*.* echo Cleaning tcl1 files...
if exist %dirpath%\suse\tcl1\*.* del %dirpath%\suse\tcl1\*.*
if exist %dirpath%\suse\x1\*.* echo Cleaning x1 files...
if exist %dirpath%\suse\x1\*.* del %dirpath%\suse\x1\*.*
if exist %dirpath%\suse\x2\*.* echo Cleaning x2 files...
if exist %dirpath%\suse\x2\*.* del %dirpath%\suse\x2\*.*
if exist %dirpath%\suse\x3\*.* echo Cleaning x3 files...
if exist %dirpath%\suse\x3\*.* del %dirpath%\suse\x3\*.*
if exist %dirpath%\suse\xsrv1\*.* echo Cleaning xsrv1 files...
if exist %dirpath%\suse\xsrv1\*.* del %dirpath%\suse\xsrv1\*.*
if exist %dirpath%\suse\xsrv2\*.* echo Cleaning xsrv2 files...
if exist %dirpath%\suse\xsrv2\*.* del %dirpath%\suse\xsrv2\*.*
if exist %dirpath%\suse\xsrv3\*.* echo Cleaning xsrv3 files...
if exist %dirpath%\suse\xsrv3\*.* del %dirpath%\suse\xsrv3\*.*
if exist %dirpath%\suse\xv1\*.* echo Cleaning xv1 files...
if exist %dirpath%\suse\xv1\*.* del %dirpath%\suse\xv1\*.*
if exist %dirpath%\suse\doc1\*.* echo Cleaning doc1 files...
if exist %dirpath%\suse\doc1\*.* del %dirpath%\suse\doc1\*.*
if exist %dirpath%\suse\gnm1\*.* echo Cleaning gnm1 files...
if exist %dirpath%\suse\gnm1\*.* del %dirpath%\suse\gnm1\*.*
if exist %dirpath%\suse\gnm2\*.* echo Cleaning gnm2 files...
if exist %dirpath%\suse\gnm2\*.* del %dirpath%\suse\gnm2\*.*
if exist %dirpath%\suse\gnm3\*.* echo Cleaning gnm3 files...
if exist %dirpath%\suse\gnm3\*.* del %dirpath%\suse\gnm3\*.*
if exist %dirpath%\suse\gnm4\*.* echo Cleaning gnm4 files...
if exist %dirpath%\suse\gnm4\*.* del %dirpath%\suse\gnm4\*.*
if exist %dirpath%\suse\gra1\*.* echo Cleaning gra1 files...
if exist %dirpath%\suse\gra1\*.* del %dirpath%\suse\gra1\*.*
if exist %dirpath%\suse\kde1\*.* echo Cleaning kde1 files...
if exist %dirpath%\suse\kde1\*.* del %dirpath%\suse\kde1\*.*
if exist %dirpath%\suse\kde2\*.* echo Cleaning kde2 files...
if exist %dirpath%\suse\kde2\*.* del %dirpath%\suse\kde2\*.*
if exist %dirpath%\suse\kde4\*.* echo Cleaning kde4 files...
if exist %dirpath%\suse\kde4\*.* del %dirpath%\suse\kde4\*.*
if exist %dirpath%\suse\kpa1\*.* echo Cleaning kpa1 files...
if exist %dirpath%\suse\kpa1\*.* del %dirpath%\suse\kpa1\*.*
if exist %dirpath%\suse\sgm1\*.* echo Cleaning sgm1 files...
if exist %dirpath%\suse\sgm1\*.* del %dirpath%\suse\sgm1\*.*
if exist %dirpath%\suse\xdev1\*.* echo Cleaning xdev1 files...
if exist %dirpath%\suse\xdev1\*.* del %dirpath%\suse\xdev1\*.*
if exist %dirpath%\suse\xwm1\*.* echo Cleaning xwm1 files...
if exist %dirpath%\suse\xwm1\*.* del %dirpath%\suse\xwm1\*.*
if exist %dirpath%\suse\xwm2\*.* echo Cleaning xwm2 files...
if exist %dirpath%\suse\xwm2\*.* del %dirpath%\suse\xwm2\*.*
if exist %dirpath%\suse\beo1\*.* echo Cleaning beo1 files...
if exist %dirpath%\suse\beo1\*.* del %dirpath%\suse\beo1\*.*
if exist %dirpath%\suse\ham1\*.* echo Cleaning ham1 files...
if exist %dirpath%\suse\ham1\*.* del %dirpath%\suse\ham1\*.*
if exist %dirpath%\suse\pay1\*.* echo Cleaning pay1 files...
if exist %dirpath%\suse\pay1\*.* del %dirpath%\suse\pay1\*.*
if exist %dirpath%\suse\xap1\*.* echo Cleaning xap1 files...
if exist %dirpath%\suse\xap1\*.* del %dirpath%\suse\xap1\*.*
if exist %dirpath%\suse\aplx1\*.* echo Cleaning aplx1 files...
if exist %dirpath%\suse\aplx1\*.* del %dirpath%\suse\aplx1\*.*
if exist %dirpath%\suse\aplx2\*.* echo Cleaning aplx2 files...
if exist %dirpath%\suse\aplx2\*.* del %dirpath%\suse\aplx2\*.*
if exist %dirpath%\suse\aplx3\*.* echo Cleaning aplx3 files...
if exist %dirpath%\suse\aplx3\*.* del %dirpath%\suse\aplx3\*.*
if exist %dirpath%\suse\aplx4\*.* echo Cleaning aplx4 files...
if exist %dirpath%\suse\aplx4\*.* del %dirpath%\suse\aplx4\*.*
if exist %dirpath%\suse\emu1\*.* echo Cleaning emu1 files...
if exist %dirpath%\suse\emu1\*.* del %dirpath%\suse\emu1\*.*
if exist %dirpath%\suse\fun1\*.* echo Cleaning fun1 files...
if exist %dirpath%\suse\fun1\*.* del %dirpath%\suse\fun1\*.*
if exist %dirpath%\suse\snd1\*.* echo Cleaning snd1 files...
if exist %dirpath%\suse\snd1\*.* del %dirpath%\suse\snd1\*.*
if exist %dirpath%\suse\spl1\*.* echo Cleaning spl1 files...
if exist %dirpath%\suse\spl1\*.* del %dirpath%\suse\spl1\*.*
if exist %dirpath%\suse\spl2\*.* echo Cleaning spl2 files...
if exist %dirpath%\suse\spl2\*.* del %dirpath%\suse\spl2\*.*
if exist %dirpath%\suse\tex1\*.* echo Cleaning tex1 files...
if exist %dirpath%\suse\tex1\*.* del %dirpath%\suse\tex1\*.*
if exist %dirpath%\suse\x3d1\*.* echo Cleaning x3d1 files...
if exist %dirpath%\suse\x3d1\*.* del %dirpath%\suse\x3d1\*.*
if exist %dirpath%\suse\zq1\*.* echo Cleaning zq1 files...
if exist %dirpath%\suse\zq1\*.* del %dirpath%\suse\zq1\*.*
if exist %dirpath%\suse\zq2\*.* echo Cleaning zq2 files...
if exist %dirpath%\suse\zq2\*.* del %dirpath%\suse\zq2\*.*
echo.
echo Previous packages files cleaned.
echo.
pause
goto main_menu

:clean_full
echo.
echo lhdsetup wil now erase %dirpath%
deltree %dirpath%
echo.
echo All files have been removed from disk (if you didn't cancelled).
echo.
pause
goto main_menu

:help
echo.
echo Usage:
echo lhdsetup [directory (must be in root)] [CD-ROM drive letter] [kernel]
echo e.g. lhdsetup C:\tmp E eide02
echo.
echo Respect carefully the syntax as given in the example.
echo For more help, see lhdsetup.txt
goto end

:boot
echo.
if not exist %dirpath%\suse\setup\loadlin.exe echo %dirpath%\suse
\setup\loadlin.exe missing. Make first install.
if not exist %dirpath%\suse\setup\loadlin.exe echo.
if not exist %dirpath%\suse\setup\loadlin.exe pause
if not exist %dirpath%\suse\setup\loadlin.exe goto main_menu
if not exist %dirpath%\suse\images\initdisk.gz echo %dirpath%\
suse\images\initdisk.gz missing. Make first install.
if not exist %dirpath%\suse\images\initdisk.gz echo.
if not exist %dirpath%\suse\setup\loadlin.exe pause
if not exist %dirpath%\suse\setup\loadlin.exe goto main_menu
:loadlin
%dirpath%\suse\setup\loadlin %dirpath%\suse\images\%kernel% root=200 rw 2 initrd=%dirpath%\suse\images\initdisk.gz

:quit
echo.
echo Exiting...
goto end

:exit
echo.
echo Abnormal termination

:abort
echo.
echo Aborting...

:end
echo.
echo Cyril Soldani "C_Soldani@yahoo.com"
echo.
REM /// End of lhdsetup.bat ///
